{block title}Find Similar Images {/block}
{block content}
<div id="content">
	<h1>Find Similar Images</h1>
	<h2>Upload</h2>
	{control upload}
	<h2 n:if="isset($curImg)">Chosen</h2>
    <div n:if="isset($curImg)" class="img-container">
        <img src="{$curImg['imgPath']}" class="pure-img chosen-img img" />
        <img src="{$curImg['keypointsPath']}" class="pure-img chosen-img keypoints" />
    </div>
	<h2>{if isset($curImg)}Similar{else}Gallery{/if}</h2>
	<ol n:ifcontent="$images" class="pure-g similar-list">
		<li n:foreach="$images as $image" class="pure-u-1-2 pure-u-sm-1-3 pure-u-md-1-4 pure-u-lg-1-6 pure-u-xl-1-8 img-container">
			<a href="{link Homepage:default, 'id' => $image['id']}" class="link-img">
				<img src="{$image['imgPath']}" class="pure-img img" />
                <img src="{$image['keypointsPath']}" class="pure-img keypoints" />
				<span n:if="isset($image['SQFD'])" class="similarity">SQFD: {$image['SQFD']}</span>
			</a>
		</li>
	</ol>
</div>